## rust-wasmtime 10.0.1+dfsg

=== debian/changelog ===
rust-wasmtime (10.0.1+dfsg-6) unstable; urgency=medium

  * really fix autopkgtest feature names
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Aug 2023 22:39:58 +0200

rust-wasmtime (10.0.1+dfsg-5) unstable; urgency=medium

  * fix autopkgtest feature names

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 11:36:10 +0200

rust-wasmtime (10.0.1+dfsg-4) unstable; urgency=medium

  * update dh-cargo fork
  * drop patch 2001_arbitrary, obsoleted by Debian package changes
  * rename patch 2001_capstone -> 1001_capstone;
    relax patch 2001_hashbrown;
    update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 16:47:33 +0200

rust-wasmtime (10.0.1+dfsg-3) experimental; urgency=medium

  * fix: embed crate cranelift-codegen-meta

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2023 13:02:10 +0200

rust-wasmtime (10.0.1+dfsg-2) experimental; urgency=medium

  * update dh-cargo fork
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2023 12:18:25 +0200

rust-wasmtime (10.0.1+dfsg-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041434

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jul 2023 09:14:41 +0200
