=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.97.1
 --all-targets --all-features
Features: test-name=cranelift-0.97:@
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.97-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.97.1
 --all-targets --no-default-features
Features: test-name=cranelift-0.97:
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.97-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.97.1
 --all-targets --no-default-features --features core
Features: test-name=cranelift-0.97:core
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.97+core-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.97.1
 --all-targets
Features: test-name=cranelift-0.97:default
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.97+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.97.1
 --all-targets --no-default-features --features std
Features: test-name=cranelift-0.97:std
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.97+std-dev,
Restrictions: allow-stderr
