## rust-wasmtime 16.0.0+dfsg

=== debian/changelog ===
rust-wasmtime (16.0.0+dfsg-3) unstable; urgency=medium

  * relax (build-)dependency for crate hashbrown;
    closes: bug#1064015, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 02:40:47 +0100

rust-wasmtime (16.0.0+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jan 2024 16:01:24 +0100

rust-wasmtime (16.0.0+dfsg-1) experimental; urgency=medium

  * update patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 17:07:52 +0100

rust-wasmtime (15.0.1+dfsg-4) unstable; urgency=medium

  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 16:30:00 +0100

rust-wasmtime (15.0.1+dfsg-3) unstable; urgency=medium

  * add patch 2001_gimli to accept older branch of crate gimli;
    relax (build-)dependency for crate gimli
  * temporarily hack local dh-cargo wrapper
    to gracefully handle crate resolving failures

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 12:21:43 +0100

rust-wasmtime (15.0.1+dfsg-2) experimental; urgency=medium

  * (build-)depend on rustfmt

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 11:39:48 +0100

rust-wasmtime (15.0.1+dfsg-1) experimental; urgency=medium

  * drop patches 2001_arbitrary 2001_target-lexicon,
    obsoleted by Debian package changes;
    tighten (build-)dependency on package for crate target-lexicon;
    closes: bug#1057198, thanks to Peter Green
  * update patches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 10:10:12 +0100

rust-wasmtime (15.0.0+dfsg-3) experimental; urgency=medium

  * add patches 2001_* to accept older releases
    of crates arbitrary regalloc2 target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 14:19:37 +0100

rust-wasmtime (15.0.0+dfsg-2) experimental; urgency=medium

  * bump (build-)dependencies for crate gimli;
    closes: bug#1056924, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 13:15:17 +0100

rust-wasmtime (15.0.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Nov 2023 21:14:22 +0100

rust-wasmtime (10.0.1+dfsg-7) unstable; urgency=medium

  * skip autopkgtests
    for official architectures unsupported by crate cranelift-codegen

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 21:47:13 +0200
