=== debian/control ===
Source: rust-wasmtime
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-criterion-0.5+default-dev <!nocheck>,
 librust-criterion-0.5+html-reports-dev <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-arbitrary-1+default-dev <!nocheck>,
 librust-bincode-1+default-dev <!nocheck>,
 librust-bumpalo-3+default-dev <!nocheck>,
 librust-capstone-0.11+default-dev <!nocheck>,
 librust-gimli-dev (<< 0.29) <!nocheck>,
 librust-hashbrown-dev (<< 0.15) <!nocheck>,
 librust-log-0.4-dev <!nocheck>,
 librust-regalloc2-0.9+checker-dev <!nocheck>,
 librust-regalloc2-0.9+default-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-sha2-0.10+default-dev <!nocheck>,
 librust-similar-2+default-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>,
 librust-smallvec-1+union-dev <!nocheck>,
 librust-souper-ir-2+default-dev <!nocheck>,
 librust-target-lexicon-0.12+std-dev (>= 0.12.12) <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 rustfmt <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/
Rules-Requires-Root: no

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-arbitrary-1+default-dev,
 librust-bincode-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.11+default-dev,
 librust-codespan-reporting-0.11+default-dev,
 librust-gimli-dev (<< 0.29),
 librust-hashbrown-dev (<< 0.15),
 librust-log-0.4-dev,
 librust-regalloc2-0.9+checker-dev,
 librust-regalloc2-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-target-lexicon-0.12+std-dev (>= 0.12.12),
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.103+core-dev (= ${binary:Version}),
 librust-cranelift-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-0.103+std-dev (= ${binary:Version}),
 librust-cranelift-0.103-dev (= ${binary:Version}),
 librust-cranelift-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.103-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-codegen-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-codegen-0.103-dev (= ${binary:Version}),
 librust-cranelift-codegen-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-codegen-meta-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-codegen-meta-0.103-dev (= ${binary:Version}),
 librust-cranelift-codegen-meta-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-codegen-shared-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-codegen-shared-0.103-dev (= ${binary:Version}),
 librust-cranelift-codegen-shared-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-control-0.103+chaos-dev (= ${binary:Version}),
 librust-cranelift-control-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-control-0.103-dev (= ${binary:Version}),
 librust-cranelift-control-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-entity-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-entity-0.103+enable-serde-dev (= ${binary:Version}),
 librust-cranelift-entity-0.103-dev (= ${binary:Version}),
 librust-cranelift-entity-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-frontend-0.103+core-dev (= ${binary:Version}),
 librust-cranelift-frontend-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-frontend-0.103+std-dev (= ${binary:Version}),
 librust-cranelift-frontend-0.103-dev (= ${binary:Version}),
 librust-cranelift-frontend-0.103.0-dev (= ${binary:Version}),
 librust-cranelift-isle-0.103+default-dev (= ${binary:Version}),
 librust-cranelift-isle-0.103+logging-dev (= ${binary:Version}),
 librust-cranelift-isle-0.103+fancy-errors-dev (= ${binary:Version}),
 librust-cranelift-isle-0.103-dev (= ${binary:Version}),
 librust-cranelift-isle-0.103.0-dev (= ${binary:Version}),
Description: low-level retargetable code generator - Rust source code
 Cranelift is a low-level retargetable code generator.
 It translates a target-independent intermediate representation
 into executable machine code.
 .
 This package contains the source for the Rust cranelift crate,
 for use with cargo and dh-cargo.
