=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.103.0
 --all-targets --all-features
Features: test-name=cranelift-0.103:@
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.103-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.103.0
 --all-targets --no-default-features
Features: test-name=cranelift-0.103:
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.103-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.103.0
 --all-targets --no-default-features --features core
Features: test-name=cranelift-0.103:core
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.103+core-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.103.0
 --all-targets
Features: test-name=cranelift-0.103:default
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.103+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test cranelift 0.103.0
 --all-targets --no-default-features --features std
Features: test-name=cranelift-0.103:std
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-cargo,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.103+std-dev,
Restrictions: allow-stderr
