## rust-wasmtime 19.0.0+dfsg

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 	target_include_directories(wasmtime-${TARGET} PUBLIC wasmtime)
 	target_link_libraries(wasmtime-${TARGET} PUBLIC wasmtime)
+	if(APPLE)
+		target_link_libraries(wasmtime-${TARGET} PRIVATE "-framework CoreFoundation")
+	endif()
 	add_test(NAME ${TARGET}-c COMMAND $<TARGET_FILE:wasmtime-${TARGET}> WORKING_DIRECTORY ../..)
 endfunction()
 
@@ -59,6 +62,7 @@
 create_rust_wasm(fib-debug wasm32-unknown-unknown)
 create_rust_wasm(tokio wasm32-wasi)
 create_rust_wasm(wasi wasm32-wasi)
+create_rust_wasm(component wasm32-unknown-unknown)
 create_rust_test(epochs)
 create_rust_test(externref)
 create_rust_test(fib-debug)
@@ -73,4 +77,5 @@
 create_rust_test(serialize)
 create_rust_test(threads)
 create_rust_test(wasi)
-create_rust_test(tokio wasmtime-wasi/tokio)
+create_rust_test(tokio wasi-common/tokio)
+create_rust_test(component)
