=== debian/changelog ===
rust-wasmtime (19.0.0+dfsg-4) unstable; urgency=medium

  * tighten substvars: use ${rust:Version:*} with full package name
    (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * tighten build rules to catch failure in loop
  * stop mention dh-cargo in long description
  * add patch 2001_* to use newer release of crate regalloc2
  * check single-feature autopkgtest tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2024 22:15:53 +0100

rust-wasmtime (19.0.0+dfsg-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 19:55:46 +0200

rust-wasmtime (19.0.0+dfsg-2) unstable; urgency=medium

  * add patch 2001_target-lexicon
    to accept older release of crate target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 13:56:14 +0200

rust-wasmtime (19.0.0+dfsg-1) unstable; urgency=medium

  * update copyright info:
    + fix file path
    + update coverage
  * drop patch 2001_hashbrown;
    tighten build-dependency on package for crate hashbrown
  * drop patch 2001_regalloc2
  * update and unfuzz patches
  * add patch 2003 to avoid benches;
    stop build- or autopkgtest-depend on packages for crates criterion
  * declare compliance with Debian Policy 4.7.0
  * drop patch 2001_gimli;
    tighten (build-)dependencies on package for crate gimli
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 09:15:33 +0200

rust-wasmtime (18.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Feb 2024 18:38:48 +0100
