=== debian/tests/control ===
# check single-feature tests only on amd64
# skip official architectures unsupported by crate cranelift-codegen

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.106.0
 --all-targets --all-features
Features: test-name=cranelift:@
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.106-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.106.0
 --all-targets
Features: test-name=cranelift:default
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.106+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.106.0
 --all-targets --no-default-features
Features: test-name=cranelift:
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.106-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.106.0
 --all-targets --no-default-features --features core
Features: test-name=cranelift:core
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.106+core-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.106.0
 --all-targets --no-default-features --features std
Features: test-name=cranelift:std
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-cranelift-0.106+std-dev,
Restrictions: allow-stderr
